import dsl
import macros

dumpTree: # dictionary:
    glyphs:
        vowel "i" outer
        vowel "e" outer slashed
        vowel "a" slashed
        vowel "o" inner slashed
        vowel "u" inner
        vowel "y" both

        cluster θ left top
        cluster ∫ left middle
        cluster x left bottom
        cluster n center middle
        cluster p right top
        cluster t right middle
        cluster k right bottom
        cluster θl left top tall
        cluster ∫l left middle tall
        cluster xl left bottom tall
        cluster nl center middle tall
        cluster pl right top tall
        cluster tl right middle tall
        cluster kl right bottom tall
        cluster θr left top wide
        cluster ∫r left middle wide
        cluster xr left bottom wide
        cluster nr center middle wide
        cluster pr right top wide
        cluster tr right middle wide
        cluster kr right bottom wide
        cluster sθ left top both
        cluster s∫ left middle both
        cluster sx left bottom both
        cluster sn center middle both
        cluster sp right top both
        cluster st right middle both
        cluster sk right bottom both

        syllables

        punctuation « left
        punctuation `.`
        punctuation » right

        numeric 0 circle
        numeric 1 dash
        numeric 2 vee
        numeric 4 dash hump
        numeric 5 vee hump
        numeric `.` dump

    dialect jukashenikan:
        replace x ç
        replace p j
        # ...

    dialect gazhenigan:
        replace k g
        replace ∫ ʒ
        replace s z
        replace θ ð
        replace t d
        # ...

    romanization:
        discard # ...

    dictionary:
        discard # ...

#when isMainModule:
